TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ExtendField ( mdl^mat/fld V, fld^fin L ) -> mdl^mat/fld, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a K-vector space V, with K a finite field and L an extension of K, construct the L-vector space W obtained by lifting the components of elements of V into L, together with the inclusion homomorphism from V into W. </shortdoc>

### Examples

x_F29:=FiniteField(29);x_m:=Matrix(x_F29,2,3,[1,2,3,4,5,6]); x_M:=Parent(x_m); ExtendField(x_M,x_F29);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack